PipeWire 1.6.5

Loading...
Searching...
No Matches
compare.h File Reference
SPA » POD

spa/pod/compare.h More...

Go to the source code of this file.

## Macros
#define | SPA_API_POD_COMPARE static inline

## Functions
SPA_API_POD_COMPARE int | spa_pod_compare_value (uint32_t type, const void *r1, const void *r2, uint32_t size)
SPA_API_POD_COMPARE int | spa_pod_memcmp (const struct spa_pod *a, const struct spa_pod *b)
SPA_API_POD_COMPARE int | spa_pod_compare (const struct spa_pod *pod1, const struct spa_pod *pod2)
SPA_API_POD_COMPARE int | spa_pod_compare_is_compatible_flags (uint32_t type, const void *r1, const void *r2, uint32_t size 1)
SPA_API_POD_COMPARE int | spa_pod_compare_is_step_of (uint32_t type, const void *r1, const void *r2, uint32_t size)
SPA_API_POD_COMPARE int | spa_pod_compare_is_in_range (uint32_t type, const void *v, const void *min, const void *max, const void *step, uint32_t size 1)
SPA_API_POD_COMPARE int | spa_pod_compare_is_valid_choice (uint32_t type, uint32_t size, const void *val, const void *vals, uint32_t n_vals, uint32_t choice)

## Detailed Description

spa/pod/compare.h

## Macro Definition Documentation

## ◆ SPA_API_POD_COMPARE

#define SPA_API_POD_COMPARE static inline